AprEndpoint.Worker (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.net.AprEndpoint.Worker class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Class AprEndpoint.Worker

    java.lang.Object
      org.apache.tomcat.util.net.AprEndpoint.Worker

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  AprEndpoint

    protected class AprEndpoint.Worker

extends java.lang.Object
implements java.lang.Runnable

Server processor class.

Field Summary
`protected boolean` | `available`
`protected boolean` | `options`
`protected long` | `socket`
`protected SocketStatus` | `status`
`protected java.lang.Thread` | `thread`

Constructor Summary
`protected` | `AprEndpoint.Worker()`

Method Summary
`protected void` | `assign(long socket)` Process an incoming TCP/IP connection on the specified socket.
`protected void` | `assign(long socket, SocketStatus status)`
`protected void` | `assignWithOptions(long socket)` Process an incoming TCP/IP connection on the specified socket.
`protected long` | `await()` Await a newly assigned Socket from our Connector, or `null` if we are supposed to shut down.
`void` | `run()` The background thread that listens for incoming TCP/IP connections and hands them off to an appropriate processor.
`void` | `start()` Start the background processing thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### thread

    protected java.lang.Thread thread

### available

    protected boolean available

### socket

    protected long socket

### status

    protected SocketStatus status

### options

    protected boolean options

Constructor Detail

### AprEndpoint.Worker

    protected AprEndpoint.Worker()

Method Detail

### assignWithOptions

    protected void assignWithOptions(long socket)

  Process an incoming TCP/IP connection on the specified socket. Any exception that occurs during processing must be logged and swallowed. NOTE: This method is called from our Connector's thread. We must assign it to our own thread so that multiple simultaneous requests can be handled.

  Parameters:
    `socket` - TCP socket to process

### assign

    protected void assign(long socket)

  Process an incoming TCP/IP connection on the specified socket. Any exception that occurs during processing must be logged and swallowed. NOTE: This method is called from our Connector's thread. We must assign it to our own thread so that multiple simultaneous requests can be handled.

  Parameters:
    `socket` - TCP socket to process

### assign

    protected void assign(long socket,
                          SocketStatus status)

### await

    protected long await()

  Await a newly assigned Socket from our Connector, or `null` if we are supposed to shut down.

### run

    public void run()

  The background thread that listens for incoming TCP/IP connections and hands them off to an appropriate processor.

  Specified by:
    `run` in interface `java.lang.Runnable`

### start

    public void start()

  Start the background processing thread.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.